## org.eclipse.emf.ecoretools.tabbedproperties.sections
Class AbstractCollectionPropertySection

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
          org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractTabbedPropertySection
              org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractCollectionPropertySection

All Implemented Interfaces:
  org.eclipse.ui.views.properties.tabbed.ISection

    public abstract class AbstractCollectionPropertySection

extends AbstractTabbedPropertySection

An abstract implementation of a section prepared to deal with collections. Creation 3 apr. 2008

Field Summary

Fields inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`STANDARD_LABEL_WIDTH`

Constructor Summary
`AbstractCollectionPropertySection()`

Method Summary
`void` `createControls(org.eclipse.swt.widgets.Composite parent, org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage tabbedPropertySheetPage)`
`protected void` `createWidgets(org.eclipse.swt.widgets.Composite composite)` Section widgets should be created inside this method.
`protected abstract org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` `getElements()` Return the candidates EObjects to be part of the collection
`protected org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` `getFeatureAsList()`
`protected org.eclipse.jface.viewers.IBaseLabelProvider` `getLabelProvider()`
`protected void` `hookListeners()` Widgets created at `AbstractTabbedPropertySection.createWidgets(Composite)` may listen platform events.
`void` `refresh()`
`protected void` `setSectionData(org.eclipse.swt.widgets.Composite composite)` This method should be implemented to set layout data to the widgets created at `AbstractTabbedPropertySection.createWidgets(Composite)`.

Methods inherited from class org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractTabbedPropertySection

`aboutToBeHidden, aboutToBeShown, adaptToEObject, addListener, clearDecorators, createCommand, getActivePage, getEditingDomain, getEObject, getEObjectList, getFeature, getLabelText, getMainComposite, getMessageManager, getModelListener, getSectionComposite, getStandardLabelWidth, getStatusLineManager, handleModelChanged, isReadOnly, makeContributions, removeListener, setDecorator, setErrorDecorator, setErrorMessage, setInfoDecorator, setInput, setMessage, setWarningDecorator`

Methods inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`dispose, getMinimumHeight, getPart, getSelection, getWidgetFactory, shouldUseExtraSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCollectionPropertySection

    public AbstractCollectionPropertySection()

Method Detail

### createControls

    public void createControls(org.eclipse.swt.widgets.Composite parent,
                               org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage tabbedPropertySheetPage)

  Specified by:
    `createControls` in interface `org.eclipse.ui.views.properties.tabbed.ISection`
  Overrides:
    `createControls` in class `AbstractTabbedPropertySection`
  See Also:
    `org.eclipse.emf.tabbedproperties.sections.AbstractTabbedPropertySection#createControls(org.eclipse.swt.widgets.Composite, org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage)`

### createWidgets

    protected void createWidgets(org.eclipse.swt.widgets.Composite composite)

  Description copied from class: `AbstractTabbedPropertySection`
  Section widgets should be created inside this method. To set the layout data please implement the `AbstractTabbedPropertySection.setSectionData(Composite)` If widgets has listeners implement the `AbstractTabbedPropertySection.hookListeners()`.

  Overrides:
    `createWidgets` in class `AbstractTabbedPropertySection`
  Parameters:
    `composite` - the parent Composite
  See Also:
    `org.eclipse.emf.tabbedproperties.sections.AbstractTabbedPropertySection#createWidgets(org.eclipse.swt.widgets.Composite)`

### setSectionData

    protected void setSectionData(org.eclipse.swt.widgets.Composite composite)

  Description copied from class: `AbstractTabbedPropertySection`
  This method should be implemented to set layout data to the widgets created at `AbstractTabbedPropertySection.createWidgets(Composite)`. This improves visibility

  Overrides:
    `setSectionData` in class `AbstractTabbedPropertySection`
  Parameters:
    `composite` - Sometimes widgets will be set formDatas and position will depend on parent composite.
  See Also:
    `org.eclipse.emf.tabbedproperties.sections.AbstractTabbedPropertySection#setSectionData(org.eclipse.swt.widgets.Composite)`

### hookListeners

    protected void hookListeners()

  Description copied from class: `AbstractTabbedPropertySection`
  Widgets created at `AbstractTabbedPropertySection.createWidgets(Composite)` may listen platform events. Set them here in order to improve visibility

  Overrides:
    `hookListeners` in class `AbstractTabbedPropertySection`
  See Also:
    `org.eclipse.emf.tabbedproperties.sections.AbstractTabbedPropertySection#hookListeners()`

### getLabelProvider

    protected org.eclipse.jface.viewers.IBaseLabelProvider getLabelProvider()

  See Also:
    `org.eclipse.emf.tabbedproperties.sections.AbstractListPropertySection#getLabelProvider()`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `org.eclipse.ui.views.properties.tabbed.ISection`
  Overrides:
    `refresh` in class `org.eclipse.ui.views.properties.tabbed.AbstractPropertySection`
  See Also:
    `AbstractPropertySection.refresh()`

### getFeatureAsList

    protected org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getFeatureAsList()

### getElements

    protected abstract org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getElements()

  Return the candidates EObjects to be part of the collection

  Returns:
    the candidates to be part of the collection

Copyright 2007 Anyware Technologies. All Rights Reserved.